
VIRTUAL CREDIT CARD - Bug #15309

Android [TREATS] [TREATS Point and TREATS Miles] The product quantity or miles is reset to 0

(Showing Tambah button) when user uncheck the checkbox and click back button 

20 December 2022 05:33 PM - hsulynn pang

Status: Closed Start date: 20 December 2022

Priority: Normal Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: ntbsec03

steps:

(1) login

(2) swipe to the right for Kartu Kredit

(3) select the credit card for TREATS

(4) at the Customer Transaction History screen, click My TREATS

(5) at the My TREATS Rewards screen, click Redeem Reward TREATS

(6) at the Point or Miles tab, click Tambah button

(7) add product quantity or miles and click Add to Cart button

(8) uncheck the button

(9) click back button

(10) verify the screen

Actual result: The product quantity or miles is reset to 0 (Showing Tambah button) when user click back button

Expected result: The product quantity or miles is not reset to 0

History

#1 - 22 December 2022 12:18 AM - Septi Gizka Tiara

- Status changed from New to In Progress

#2 - 22 December 2022 01:16 AM - Septi Gizka Tiara

- Status changed from In Progress to Resolved

commit : 

https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/27656a907b43c5382578cb4bd7ebf2783151

e1e4?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc

#3 - 22 December 2022 10:22 AM - hsulynn pang

- Assignee changed from Septi Gizka Tiara to hsulynn pang

#4 - 22 December 2022 12:06 PM - hsulynn pang

- File WhatsApp-Video-2022-12-22-at-113.mp4 added

- Status changed from Resolved to Assigned

- Assignee changed from hsulynn pang to Septi Gizka Tiara

the issue happens on Cart screen.

when we click Add to Cart screen, the checkbox is checked. but at the bottom it is still showing 1 maskapai, and 100 TREATS Miles only...

expected to show 2 maskapai, and 400 TREATS Miles

Please apply for both TREATS Miles and TREATS Point
#5 - 22 December 2022 01:01 PM - Septi Gizka Tiara

commit : 

https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/b29a3f29c8978fb4207435af00fad04356681

eee?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc

#6 - 22 December 2022 01:28 PM - hsulynn pang

- Status changed from Assigned to In Progress

#7 - 22 December 2022 02:16 PM - Septi Gizka Tiara

- Status changed from In Progress to Resolved

#8 - 22 December 2022 05:01 PM - Septi Gizka Tiara

- Assignee changed from Septi Gizka Tiara to hsulynn pang

#9 - 22 December 2022 07:12 PM - hsulynn pang

- File WhatsApp Video 2022-12-22 at 19.10.03 (1).mp4 added

- File WhatsApp-Video-2022-12-22-at-191.mp4 added

- Status changed from Resolved to Closed

tested ok

Files

WhatsApp-Video-2022-12-20-at-163.mp4 2.33 MB 20 December 2022 hsulynn pang

WhatsApp Video 2022-12-20 at 16.30.03.mp4 1.25 MB 20 December 2022 hsulynn pang

WhatsApp-Video-2022-12-22-at-113.mp4 3.81 MB 22 December 2022 hsulynn pang

WhatsApp Video 2022-12-22 at 19.10.03 (1).mp4 2.72 MB 22 December 2022 hsulynn pang

WhatsApp-Video-2022-12-22-at-191.mp4 3.76 MB 22 December 2022 hsulynn pang

Powered by TCPDF (www.tcpdf.org)

05 April 2025 2/2

https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/b29a3f29c8978fb4207435af00fad04356681eee?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc
https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/b29a3f29c8978fb4207435af00fad04356681eee?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc
http://www.tcpdf.org

